readdist.d(1m)

NAME
readdist.d - read distrib. by process name. Uses DTrace.

SYNOPSIS
readdist.d

DESCRIPTION
readdist.d is a DTrace OneLiner to a report the read size and number of occurrences as a frequency distribution by process name. This can be useful to identify the behaviour of processes that are doing reads. Are they using many small reads, or fewer large reads. Docs/oneliners.txt and Docs/Examples/oneliners_examples.txt in the DTraceToolkit contain this as a oneliner that can be cut-n-paste to run. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

This samples until Ctrl-C is hit.
    # readdist.d

FIELDS

process name
    The process name. There may be several PIDs that have the same process name, for example with numerous instances of "bash". The value reported will be the sum of them all.

value
    The size in bytes

count
    The number of occurrences that were at least this size

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
readdist.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), truss(1)